Bug 136105 - mozilla and firefox mouse button 6/7 events don't scroll left/right
Summary: mozilla and firefox mouse button 6/7 events don't scroll left/right
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-17 22:22 UTC by Charles R. Anderson
Modified: 2018-04-11 12:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 16:46:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Charles R. Anderson 2004-10-17 22:22:00 UTC
Description of problem:

The default bindings of mozilla and firefox cause mouse button 6/7
events to go back/forward in the history, instead of scrolling
the window left/right.  This is inconsistent with konqueror, epiphany
and other GNOME applications.

Version-Release number of selected component (if applicable):

mozilla-1.7.3-13
firefox-0.10.1-1.0PR1.10

How reproducible:

always

Steps to Reproduce:
1. Launch browser
2. Go to a wide web page, or make window width small
3. Try to scroll left/right using bottom of synaptics touchpad

Actual results:

Mozilla/Firefox browsers go forward/back in the history.
Epiphany, Konqueror, and GNOME applications such as Text Editor scroll
left/right.

Expected results:

Mouse bindings should perform consistent actions in all applications.

Comment 1 William Fulton 2005-01-02 21:57:18 UTC
The behaviour you require can be obtained by changing the Firefox
configuration. Type about:config in the Firefox address bar and change
the following:

* mousewheel.horizscroll.withnokey.action => 0 (was 2 on mine)

* mousewheel.horizscroll.withnokey.sysnumlines => true (was false on mine)

Surely the Mozilla team should apply this more standard behaviour as
the default.

Comment 2 Matěj Cepl 2007-02-09 16:46:00 UTC
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.



Note You need to log in before you can comment on or make changes to this bug.